FGFSRC(5)

NOME
fgfsrc - file con opzioni della riga di comando di FlightGear

DESCRIZIONE
fgfsrc è un file contenente opzioni della riga di comando letto da fgfs(1) all'avvio. Questo file è inteso per coloro che non utilizzano un launcher grafico per eseguire il simulatore, in modo che questi possano specificare in tale file la maggior parte delle preferenze che non vengono modificate spesso (ad esempio, i percorsi degli scenari/aerei personalizzati o le opzioni relative alle dimensioni della finestra) e specificare solo quelle modificate di frequente (come l'aeroporto di partenza) sulla riga di comando.

Il file deve essere in formato solo testo e codificato ASCII. Deve contenere una o più opzioni a riga di comando elencate in fgfs(1); ogni opzione deve essere fornita su una riga separata.

Se il primo carattere in una riga diverso da uno spazio bianco è un cancelletto (#), fgfs(1) considera la riga un commento e la ignora. I commenti non devono essere aggiunti dopo un'opzione in quanto ciò potrebbe far sì che il simulatore non riesca a gestirli in certe condizioni (in particolare quando l'argomento della riga di comando fornito in tale riga è nella forma --prop=).

Le variabili nei percorsi, come $HOME o $FG_HOME, non sono espanse.

FILE

~/.fgfsrc.nomehost, ~/.fgfsrc
    File di configurazione contenenti opzioni della riga di comando per fgfs(1). Il simulatore gestisce prima gli argomenti della riga di comando, quindi ~/.fgfsrc.nomehost (dove nomehost è il nome host della macchina) e quindi ~/.fgfsrc, se tali file esistono, in quest'ordine.

ESEMPIO
Il seguente file di configurazione di esempio sincronizza l'orologio del simulatore con il tempo reale locale, carica dati meteo reali, imposta le dimensioni della finestra a 1024x768 e abilita gli oggetti scenario casuali e il traffico IA:

--time-match-local
--enable-real-weather-fetch
--geometry=1024x768
--enable-random-objects
--enable-ai-traffic

VEDERE ANCHE
fgfs(1)